Page MenuHomePhabricator

IR printing improvement for loop passes - handle -print-module-scope
ClosedPublic

Authored by fedor.sergeev on Nov 20 2017, 6:31 AM.

Details

Summary

Adding support for -print-module-scope similar to how it is
being done for function passes. This option causes loop-pass printer
to emit a whole-module IR instead of just a loop itself.

Diff Detail

Repository
rL LLVM

Event Timeline

fedor.sergeev created this revision.Nov 20 2017, 6:31 AM
fedor.sergeev added subscribers: skatkov, apilipenko.
sanjoy accepted this revision.Nov 21 2017, 8:51 PM
sanjoy added inline comments.
lib/Analysis/LoopInfo.cpp
742 ↗(On Diff #123580)

Use BasicBlock::getModule() here.

This revision is now accepted and ready to land.Nov 21 2017, 8:51 PM

Simplifying module printing sequence, as per Sanjoy's suggestion.

fedor.sergeev marked an inline comment as done.Nov 22 2017, 1:05 PM

ugh.. somebody here needs to think before hitting enter..

This revision was automatically updated to reflect the committed changes.